Page MenuHomeFreeBSD

lang/python27, lang/python35, lang/python36: libressl 2.7 compatibility
ClosedPublic

Authored by ml_vishwin.info on Mar 24 2018, 9:13 PM.

Details

Summary

See PR 226883. Upon libressl releasing 2.7.1, upstream released their patches.

Test Plan

testport succeeds with ssl=base and ssl=libressl-devel. Fails otherwise, at least on my machine.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat added a comment.Mar 24 2018, 10:33 PM

No patch for 3.4?

3.4 isn't affected by this last time I tested. In fact, upstream only patched 2.7, 3.6, 3.7beta and master; I manually backported the 3.6 patch to 3.5.

Also, my build failures seem to come from using ccache a wee bit much. These patches actually all work.

Should PORTREVISION be bumped for these?

mat added a comment.Mar 26 2018, 3:25 PM

Bumping PORTREVISION is required when the port needs to be rebuilt because whatever was built has been updated. In this case, nothing builds, as far as I understand, so no.

brnrd accepted this revision.Apr 23 2018, 6:56 PM

Works fine for me for weeks now

This revision is now accepted and ready to land.Apr 23 2018, 6:56 PM
koobs accepted this revision.Apr 24 2018, 2:51 AM

LGTM/Approved if this passes QA on all versions/archs (10,11,i386,amd64 explicitly, at least) eluded to in Issue 226883 Comment 3 and for all values of USES=ssl

Approved by: python (koobs)

brnrd added a comment.EditedApr 28 2018, 10:59 AM
PythonSSL provider11.1 amd6411.1 i38610.4 amd6410.4 i386
Python 2.7.14_11.0.2k/1.0.1u (base)loglogloglog
Python 2.7.14_1LibreSSL 2.6.4_1loglogloglog
Python 2.7.14_1LibreSSL 2.7.2loglogloglog
Python 2.7.14_1OpenSSL 1.0.2o_2,1loglogloglog
Python 2.7.14_1OpenSSL 1.1.0h_1loglogloglog
Python 2.7.14_1OpenSSL 1.1.1p5loglogloglog
Python 3.5.51.0.2k/1.0.1u (base)loglogloglog
Python 3.5.5LibreSSL 2.6.4_1loglogloglog
Python 3.5.5LibreSSL 2.7.2loglogloglog
Python 3.5.5OpenSSL 1.0.2o_2,1loglogloglog
Python 3.5.5OpenSSL 1.1.0h_1loglogloglog
Python 3.6.51.0.2k/1.0.1u (base)loglogloglog
Python 3.6.5LibreSSL 2.6.4_1loglogloglog
Python 3.6.5LibreSSL 2.7.2loglogloglog
Python 3.6.5OpenSSL 1.0.2o_2,1loglogloglog
Python 3.6.5OpenSSL 1.1.0h_1loglogloglog
Python 3.6.5OpenSSL 1.1.1p5loglogloglog
This revision was automatically updated to reflect the committed changes.